%define         majorminor      0.10

Name:           gstreamer-python
Version:        0.10.8
Release:        2%{?dist}
Summary:        Python bindings for GStreamer

Group:          Development/Languages
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.bz2
Patch0:         gstreamer-python-0.10.8-exit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       python >= 2.3
Requires:       pygtk2 >= 2.8.0
Requires:       gstreamer >= 0.10.4
Requires:       gstreamer-plugins-base >= 0.10.5

BuildRequires:  python >= 2.3
BuildRequires:  python-devel >= 2.3
BuildRequires:  pygtk2-devel >= 2.8.0
# xwindowlistener needs X11 headers
BuildRequires:  libX11-devel
BuildRequires:  gstreamer-devel >= 0.10.4
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.5
BuildRequires:  pygobject2-devel >= 2.11.2

# no sense in splitting off a devel package just yet
Provides:       gstreamer-python-devel = %{version}-%{release}


%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.


%prep
%setup -q -n gst-python-%{version}
%patch0 -p1 -b .exit
%{__sed} -i 's|^#!/usr/bin/env python$|#|' gst/extend/*.py


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir -p docs-to-include/examples
chmod -x examples/*.py
cp examples/*.py docs-to-include/examples/
rm -fr $RPM_BUILD_ROOT%{_datadir}/gst-python/%{majorminor}/examples


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc docs-to-include/*
%{_libdir}/python?.?/site-packages/gst-%{majorminor}
%{_libdir}/python?.?/site-packages/pygst.py*
%{_libdir}/python?.?/site-packages/pygst.pth
%dir %{_datadir}/gst-python
%{_datadir}/gst-python/%{majorminor}/defs/*.defs
%{_libdir}/pkgconfig/gst-python-%{majorminor}.pc


%changelog
* Fri Sep 14 2007 Denis Leroy <denis@poolshark.org> - 0.10.8-2
- Added patch to avoid crash on exit

* Mon Aug 20 2007 Denis Leroy <denis@poolshark.org> - 0.10.8-1
- Update to upstream 0.10.8
- License tag update

* Tue Feb 20 2007 Denis Leroy <denis@poolshark.org> - 0.10.7-2
- Ship examples in doc directory only, fixes multilib conflict (#228363)
- rpmlint cleanup

* Wed Feb 14 2007 Denis Leroy <denis@poolshark.org> - 0.10.7-1
- Update to 0.10.7
- Some spec cleanups

* Mon Dec 11 2006 Denis Leroy <denis@poolshark.org> - 0.10.6-1
- Update to 0.10.6, build with python 2.5

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.10.5-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Denis Leroy <denis@poolshark.org> - 0.10.5-1
- Update to 0.10.5

* Tue Sep 19 2006 Denis Leroy <denis@poolshark.org> - 0.10.4-2
- FE Rebuild

* Thu Jun 15 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.4-1
- new upstream release

* Tue Jan 24 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- update to GStreamer Python Bindings 0.10.2
- remove -devel requirements

* Thu May 19 2005 Thomas Vander Stichele <thomas at apestaart dot org> - 0.8.1-6
- disable docs build - they're already in the tarball

* Tue May 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.8.1-5
- Move __init__.py* files from lib to _libdir on multilibarchs
  Found in thias spec file, fixes x86_64

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.1-3
- include missing directories

* Thu Mar 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.1-2
- add deps pygtk2-devel and gstreamer-devel for pkgconfig file

* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-1: moved to Fedora Extras CVS

* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.2: various cleanups

* Tue Dec 07 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.1: new upstream release

* Mon Nov 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.0-0.fdr.1: new upstream release

* Fri Nov 05 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.94-0.fdr.1: new upstream release

* Tue Oct 12 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.93-0.fdr.1: new upstream release

* Mon Jun 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.92-0.fdr.1: new upstream release

* Wed Mar 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.91-0.fdr.1: new upstream release

* Tue Sep 02 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.0-0.fdr.1: first fedora release
